<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package graftee
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> itemscope itemtype="<?php if ( is_search() ): ?>http://schema.org/SearchResultsPage<?php else: ?>http://schema.org/WebPage<?php endif; ?>">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta itemprop="about" content="<?php echo wp_get_document_title(); ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php if (!array_key_exists('onlycomments', $_GET) || !$_GET['onlycomments'] == 1): ?>
<script async src="<?php echo get_stylesheet_directory_uri(); ?>/js.php"></script>
<?php else: ?>
<script async src="<?php echo get_stylesheet_directory_uri(); ?>/js.php?onlycomments=1"></script>
<?php endif; ?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php if (!array_key_exists('onlycomments', $_GET) || !$_GET['onlycomments'] == 1): ?>
	<header role="banner" itemscope itemtype="http://schema.org/WPHeader">
		<h1 role="heading" itemprop="description">
			<?php echo graftee_get_header_h1_text(); ?>
		</h1>

		<p><?php graftee_blogname(); ?></p>

		<a class="skip-link" href="#content"><?php echo graftee_get_public_word( 'skip-to-content' ); ?></a>
	</header>

		<?php if ( has_nav_menu( 'primary' ) ): ?>
			<nav role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
				<input type="checkbox" id="menu-toggle" itemscope itemtype="http://schema.org/IgnoreAction">
				<h2><label for="menu-toggle"><?php echo graftee_get_public_word( 'primary-menu' ); ?></label></h2>
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			</nav>
		<?php endif; ?>

		<?php graftee_breadcrumb(); ?>

	<?php endif; ?>
	<main id="content" role="main" itemprop="mainContentOfPage">